/* Icône message */
a.picto_messages img
{
    width: 24px;
}

/* liste des messages (global et entrepôt) */
div.modal-liste-messages-utilisateur,
div.modal-liste-messages-utilisateur-entrepot
{
    max-width: 70% !important;
    /*height: 98% !important;*/
}

div.modal-creation-message
{
    max-width: 70% !important;
    /*height: 98% !important;*/
}

/* tableau liste des utilisateurs */
#liste-messages-utilisateur .table.table-liste-message td,
#liste-messages-utilisateur-entrepot .table.table-liste-message td,
#liste-messages-utilisateur .table.table-liste-message th,
#liste-messages-utilisateur-entrepot .table.table-liste-message th
{
    vertical-align: middle !important;
}

#liste-messages-utilisateur .table.table-liste-message td:first-child,
#liste-messages-utilisateur-entrepot .table.table-liste-message td:first-child
{
    width: 14%;
}

#liste-messages-utilisateur .table.table-liste-message td:nth-child(2),
#liste-messages-utilisateur-entrepot .table.table-liste-message td:nth-child(2)
{
    width: 25%;
}

#liste-messages-utilisateur .table.table-liste-message td:last-child,
#liste-messages-utilisateur-entrepot .table.table-liste-message td:last-child
{
    text-align: right;
    width: 15%;
}

#liste-messages-utilisateur .table-liste-message .message.non-lu,
#liste-messages-utilisateur-entrepot .table-liste-message .message.non-lu
{
    font-weight: bold;
}

/* Afficher un message */
div.modal-afficher-message,
div.modal-creation-reponse-message
{
    max-width: 50% !important;
}

/* contenu texte scrollable (voir message) */
.modal-afficher-message .modal-content
{
    display:flex;
    flex-direction:column;
    max-height:100vh;
}

.modal-afficher-message .modal-body
{
    display:flex;
    flex-direction:column;
    overflow:hidden;   /* empêche body de scroller */
}

.modal-afficher-message .modal-body > div
{
    display:flex;
    flex-direction:column;
    flex:1;
    min-height:0;   /* ULTRA IMPORTANT pour que flex autorise le scroll */
}

.modal-afficher-message .contenu-message
{
    border:1px solid gray;
    border-radius:0.27em;
    min-height:100px;
    max-height: 70vh;

    flex:1;
    overflow:auto;

    /*min-height:0;*/
}
/* contenu texte scrollable (voir message) */



/* contenu texte scrollable (répondre message) */
.modal-creation-reponse-message .modal-body {
    display: flex;
    flex-direction: column;
    /*height: 80vh;*/
    overflow: hidden;
}

.modal-creation-reponse-message #contenuMessage {
    flex: 1 1 auto;
    min-height: 0;
    display: flex;
    flex-direction: column;
}

.modal-creation-reponse-message #contenuMessage > .d-flex {
    flex: 1 1 auto;
    min-height: 0;
    display: flex;
    flex-direction: column;
}

.modal-creation-reponse-message .contenu-message {
    border:1px solid gray;
    border-radius:0.27em;

    flex: 1 1 auto;
    min-height: 0;
    overflow-y: auto;
}
/* contenu texte scrollable (répondre message) */

#creation-message .select2-container,
#creation-message .multiple-select.multi-select-user,
#creation-reponse-message .select2-container,
#creation-reponse-message .multiple-select.multi-select-user
{
    width: 100% !important;
    height: auto;
}

.form-group.row > label
{
    align-self: center;
    margin-bottom: 0;
}

/* Bouton de messagerie dans l'ouvrage */
.container-global-central .btn.focus,
.container-global-central .btn:focus
{
    outline: 0;
    box-shadow: none;
}


/* message imbriqué */
.prevMessage
{
    border-left: 4px solid lightsteelblue;
    padding: 5px;
    padding-left: 10px;
}

.prevMessage .fromInfos
{
    font-weight: bold;
}
